"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
module.exports = function VitePluginVueImport(libs) {
    let viteConfig;
    const name = '@eks/vite-plugin-vue-import';
    if (!(0, utils_1.optionsCheck)(libs))
        return { name };
    return {
        name,
        configResolved(resolvedConfig) {
            viteConfig = resolvedConfig;
        },
        transform(code, id) {
            if (!/(node_modules)/.test(id) && (0, utils_1.codeIncludesLibName)(code, libs)) {
                return {
                    code: (0, utils_1.addImportToCode)(code, libs, viteConfig.command),
                    map: this?.getCombinedSourcemap()
                };
            }
            return {
                code,
                map: null
            };
        }
    };
};
module.exports.default = module.exports;
